﻿@model ContosoUniversity.Models.ThongtinSuCo

@{
    ViewBag.Title = "Create";
}

<h2>Tạo mới thông tin sự cố</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    <h4>ThongtinSuCo</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

    @*Mã thông tin sự cố*@
    <div class="form-group">
        @Html.LabelFor(model => model.ThongTinSuCoCode, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.ThongTinSuCoCode, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ThongTinSuCoCode, "", new { @class = "text-danger" })
        </div>
    </div>

    @*Phân loại sự cố bất thường*@
        
    <div class="form-group">
        @Html.LabelFor(model => model.LoaiSuCo, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.LoaiSuCo, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.LoaiSuCo, "", new { @class = "text-danger" })
        </div>
    </div>

    @*Mô tả ngắn sự cố*@
    <div class="form-group">
        @Html.LabelFor(model => model.MoTaNganSuCo, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.MoTaNganSuCo, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.MoTaNganSuCo, "", new { @class = "text-danger" })
        </div>
    </div>

    @*Người mô tả*@
    <div class="form-group">
        @Html.LabelFor(model => model.NguoiMota, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.NguoiMota, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.NguoiMota, "", new { @class = "text-danger" })
        </div>
    </div>

    @*Cach khac phuc*@
    <div class="form-group">
        @Html.LabelFor(model => model.Cachkhacphuc, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.Cachkhacphuc, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Cachkhacphuc, "", new { @class = "text-danger" })
        </div>
    </div>


    @*Người đề nghị khắc phục*@
    <div class="form-group">
        @Html.LabelFor(model => model.NguoiDeNghiKhacPhuc, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.NguoiDeNghiKhacPhuc, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.NguoiDeNghiKhacPhuc, "", new { @class = "text-danger" })
        </div>
    </div>

    @*Kết quả*@
    <div class="form-group">
        @Html.LabelFor(model => model.Ketqua, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.Ketqua, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Ketqua, "", new { @class = "text-danger" })
        </div>
    </div>


    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Create" class="btn btn-default" />
        </div>
    </div>
</div>
}

<div>
    @Html.ActionLink("Về trang xem danh sách", "Index")
</div>
